import { FormArrayField } from "@web/src/components/common/form/FormArrayField";
import { useFormContext } from "react-hook-form";
import { CourseFormData } from "../context/CourseEditorContext";
import InputList from "@web/src/components/common/input/InputList";
import { useState } from "react";
import { Form } from "antd";

export function CourseGoalForm() {
	// const { register, formState: { errors }, watch, handleSubmit } = useFormContext<CourseFormData>();
	const [inputValues, setInputValues] = useState<string[]>([""]);
	return (
		<div className="max-w-2xl mx-auto space-y-6 p-6">
			<Form.Item name="requirements" label="前置要求">
				<InputList placeholder="请输入前置要求"></InputList>
			</Form.Item>
			<Form.Item name="objectives" label="学习目标">
				<InputList placeholder="请输入学习目标"></InputList>
			</Form.Item>
		</div>
	);
}
